{
  config,
  lib,
  inputs,
  pkgs,
  home,
  system,
  ...
}:
let
  cfg = config.modules.niri;
in
{
  imports = [ inputs.niri-flake.nixosModules.niri ];
  options.modules.niri = {
    enable = lib.mkEnableOption "niri configuration module";
  };
  config = lib.mkIf cfg.enable {
  };
}
